function openTab(evt, name) {
    // Declare all variables
    var i, t;

    // Get all elements with class="tabcontent" and hide them
    t = document.getElementsByClassName("tabContent");
    for (i = 0; i < t.length; i++) {
    	t[i].style.display = "none";
    }

    // Get all elements with class="tablinks" and remove the class "active"
    t = document.getElementsByClassName("tabLinks");
    for (i = 0; i < t.length; i++) {
    	t[i].className = t[i].className.replace(" active", "");
    }

    
   
    
    
    // Show the current tab, and add an "active" class to the button that opened the tab
    document.getElementById(name).style.display = "block";
    evt.currentTarget.className += " active";
    
}

function openSlotTab(evt, name) {
    // Declare all variables
    var i, t;

    // Get all elements with class="tabcontent" and hide them
    t = document.getElementsByClassName("tabSlotContent");
    for (i = 0; i < t.length; i++) {
    	t[i].style.display = "none";
    }

    // Get all elements with class="tablinks" and remove the class "active"
    t = document.getElementsByClassName("tabSlotLinks");
    for (i = 0; i < t.length; i++) {
    	t[i].className = t[i].className.replace(" active", "");
    }

   
    
    t = document.getElementsByClassName("tabSingleBankLinks");
    for (i = 0; i < t.length; i++) {
    	t[i].style.display = "inline";
    }
    
    
    // Show the current tab, and add an "active" class to the button that opened the tab
    document.getElementById(name).style.display = "block";
    evt.currentTarget.className += " active";
    
   
    
    if (name == 'Patches')
    {
    	 document.getElementById("destinationPatch").style.display = "block";
    	 document.getElementById("destinationPattern").style.display = "none";
    	 document.getElementById("destinationSequence").style.display = "none";	
    	 
    	 document.getElementById("destinationPatchBank").style.display = "block";
    	 document.getElementById("destinationPatternBank").style.display = "none";
    	 document.getElementById("destinationSequenceBank").style.display = "none";	
    	 modePatchPatternSeq = 0;
    }
    if (name == 'Patterns')
    {
    	 document.getElementById("destinationPatch").style.display = "none";
    	 document.getElementById("destinationPattern").style.display = "block";
    	 document.getElementById("destinationSequence").style.display = "none";	
    	 
    	 document.getElementById("destinationPatchBank").style.display = "none";
    	 document.getElementById("destinationPatternBank").style.display = "block";
    	 document.getElementById("destinationSequenceBank").style.display = "none";
    	 modePatchPatternSeq = 1;
    }
    if (name == 'Sequences')
    {
    	 document.getElementById("destinationPatch").style.display = "none";
    	 document.getElementById("destinationPattern").style.display = "none";
    	 document.getElementById("destinationSequence").style.display = "block";	
    	 
    	 document.getElementById("destinationPatchBank").style.display = "none";
    	 document.getElementById("destinationPatternBank").style.display = "none";
    	 document.getElementById("destinationSequenceBank").style.display = "block";	
    	 modePatchPatternSeq = 2;
    }
    
    

    
    
    
}


function clickSingleBank(evt, name) {
    // Declare all variables
    var i, t;

    // Get all elements with class="tabcontent" and hide them
    t = document.getElementsByClassName("tabSingleBankContent");
    for (i = 0; i < t.length; i++) {
    	t[i].style.display = "none";
    }

    // Get all elements with class="tablinks" and remove the class "active"
    t = document.getElementsByClassName("tabSingleBankLinks");
    for (i = 0; i < t.length; i++) {
    	t[i].className = t[i].className.replace(" active", "");
    }

    // Show the current tab, and add an "active" class to the button that opened the tab
    document.getElementById(name).style.display = "block";
    evt.currentTarget.className += " active";
    
    if (name == 'Single')
    	modeSingleBank = 0;
    else
    	modeSingleBank = 1;
   
    
    t = document.getElementsByClassName("loadsave");
    for (i = 0; i < t.length; i++) {
    	t[i].style.display = "block";
    }
    
    
    
}




function initAppearance()
{
	var t;
	 // Get all elements with class="tabcontent" and hide them
    t = document.getElementsByClassName("tabContent");
    for (i = 0; i < t.length; i++) {
    	t[i].style.display = "none";
    }
    
    // Get all elements with class="tabcontent" and hide them
    t = document.getElementsByClassName("tabSlotContent");
    for (i = 0; i < t.length; i++) {
    	t[i].style.display = "none";	
    }
    
    t = document.getElementsByClassName("tabSingleBankLinks");
    for (i = 0; i < t.length; i++) {
    	t[i].style.display = "none";
    }
    
    
    
    
    // Get all elements with class="tabcontent" and hide them
    t = document.getElementsByClassName("tabSingleBankContent");
    for (i = 0; i < t.length; i++) {
    	t[i].style.display = "none";
    }
    
    
    t = document.getElementsByClassName("loadsave");
    for (i = 0; i < t.length; i++) {
    	t[i].style.display = "none";
    }
    

    
	
    populateSlots();
    
}
function populateSlots()
{
	 // add rows to the slots
    var slots = document.getElementsByClassName("slotsPatches");
    
    slots[0].style.width  = '200px';
    for (i = 0; i < 50; i++) {
    	var option = document.createElement("option");
    	if (i < 9)
    		option.text = "[0" + (i + 1) + "]";
    	else
    		option.text = "[" + (i + 1) + "]";
    	slots[0].add(option);
    }
    
    // add rows to the slots
    slots = document.getElementsByClassName("slotsPatterns");
    slots[0].style.width  = '200px';
    for (i = 0; i < 8; i++) {
    	var option = document.createElement("option");
    	if (i < 9)
    		option.text = "[0" + (i + 1) + "]";
    	else
    		option.text = "[" + (i + 1) + "]";
    	slots[0].add(option);
    }
    
    
    // add rows to the slots
    slots = document.getElementsByClassName("slotsSequences");
    slots[0].style.width  = '200px';
    for (i = 0; i < 8; i++) {
    	var option = document.createElement("option");
    	if (i < 9)
    		option.text = "[0" + (i + 1) + "]";
    	else
    		option.text = "[" + (i + 1) + "]";
    	slots[0].add(option);
    }
    
    // add rows to the destination
    slots = document.getElementById("destinationPatch");
   
    for (i = 0; i < 5; i++) {
    	var option = document.createElement("option");
    	
    	option.text = "Preset RAM: " + (i + 1);
    	option.value = i;
    	slots.add(option);
    }
    
 // add rows to the destination
    slots = document.getElementById("destinationPattern");
   
    for (i = 0; i < 15; i++) {
    	var option = document.createElement("option");
    	
    	option.text = "Location " + String.fromCharCode(i + 65);
    	option.value = i;
    	slots.add(option);
    }
    
    
    slots = document.getElementById("destinationSequence");
    
    for (i = 0; i < 1; i++) {
    	var option = document.createElement("option");
    	
    	option.text = "Current RAM: " + (i + 1);
    	option.value = i;
    	slots.add(option);
    }
    
    // add rows to the destination
    slots = document.getElementById("destinationPatchBank");
   
    for (i = 0; i < 10; i++) {
    	var option = document.createElement("option");
    	
    	option.text = "FLASH bank: " + (i);
    	option.value = i;
    	slots.add(option);
    }
    
 // add rows to the destination
    slots = document.getElementById("destinationPatternBank");
   
    for (i = 0; i < 7; i++) {
    	var option = document.createElement("option");
    	
    	option.text = "FLASH bank: " + (i);
    	option.value = i;
    	slots.add(option);
    }
    
    
    slots = document.getElementById("destinationSequenceBank");
    
    for (i = 0; i < 2; i++) {
    	var option = document.createElement("option");
    	
    	option.text = "FLASH bank: " + (i);
    	option.value = i;
    	slots.add(option);
    }
    
    var item = document.getElementById("inputportselector");
    item.style.width ='160px'


	item = document.getElementById("outputportselector");
	item.style.width ='160px'
		
   
    	
    	
}




